[NumPy-Tickets] [NumPy] #1650: Notify re-distributors of binaries on SSE2/3 issues

NumPy Trac numpy-tickets@scipy....
Wed Oct 27 15:27:07 CDT 2010


#1650: Notify re-distributors of binaries on SSE2/3 issues
-------------------------------+--------------------------------------------
 Reporter:  pv                 |       Owner:  rgommers
     Type:  defect             |      Status:  new     
 Priority:  normal             |   Milestone:  2.0.0   
Component:  Official binaries  |     Version:  1.5.0   
 Keywords:                     |  
-------------------------------+--------------------------------------------
 The fact that the superpack Windows binary is SSE3-optimized can be
 confusing for binary redistributors (e.g. users of `py2exe` or similar
 tools). See #1646 and http://code.google.com/p/anki/issues/detail?id=1570

 Somewhere (preferably in the installer?) we probably need to add a notice
 for binary re-distributors that if they intend to share the installed
 Numpy libraries further, they should pick the no-SSE version.

 (It might also be nice if Numpy could check what is was compiled with and
 fail on import with an error message...)

-- 
Ticket URL: <http://projects.scipy.org/numpy/ticket/1650>
NumPy <http://projects.scipy.org/numpy>
My example project


More information about the NumPy-Tickets mailing list